Move mouse cursor
curl --request POST \
--url https://api.cyberdesk.io/v1/computer/{machine_id}/input/mouse/move \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"x": 123,
"y": 123
}
'import requests
url = "https://api.cyberdesk.io/v1/computer/{machine_id}/input/mouse/move"
payload = {
"x": 123,
"y": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({x: 123, y: 123})
};
fetch('https://api.cyberdesk.io/v1/computer/{machine_id}/input/mouse/move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}computer
Move mouse cursor
Move the mouse cursor to specified coordinates.
POST
/
v1
/
computer
/
{machine_id}
/
input
/
mouse
/
move
Move mouse cursor
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Unique key for idempotent requests. If provided, the server ensures the request is processed at most once. Retries with the same key return the original response. SDKs auto-generate this for write requests.
Example:
"550e8400-e29b-41d4-a716-446655440000"
Path Parameters
Response
Successful Response
Was this page helpful?
⌘I